CVE-2006-0470
CVSS4.3
发布时间 :2006-01-31 06:03:00
修订时间 :2011-03-07 21:30:05
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in search.php in MyBulletinBoard (MyBB) 1.02 allows remote attackers to inject arbitrary web script or HTML via the (1) sortby and (2) sortordr parameters, which are not properly handled in a redirection.


[CNNVD]MyBB 跨站脚本攻击漏洞(CNNVD-200601-379)

        MyBulletinBoard (MyBB) 1.02的search.php中存在跨站脚本攻击漏洞,远程攻击者可以通过未在重定向中适当处理的(1) sortby和(2) sortordr参数注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:mybulletinboard:mybulletinboard:1.0_pr2
cpe:/a:mybulletinboard:mybulletinboard:1.0_final
cpe:/a:mybulletinboard:mybulletinboard:1.0_rc2
cpe:/a:mybulletinboard:mybulletinboard:1.0.2
cpe:/a:mybulletinboard:mybulletinboard:1.0_rc4
cpe:/a:mybulletinboard:mybulletinboard:1.0_preview_release_2
cpe:/a:mybulletinboard:mybulletinboard:1.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0470
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0470
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-379
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0350
(UNKNOWN)  VUPEN  ADV-2006-0350
http://www.securityfocus.com/bid/16387
(UNKNOWN)  BID  16387
http://www.osvdb.org/22750
(UNKNOWN)  OSVDB  22750
http://secunia.com/advisories/18617
(VENDOR_ADVISORY)  SECUNIA  18617
http://seclists.org/lists/bugtraq/2006/Jan/0414.html
(VENDOR_ADVISORY)  BUGTRAQ  20060125 MyBB 1.0.2 XSS attack in search.php redirection
http://community.mybboard.net/showthread.php?tid=6418
(UNKNOWN)  CONFIRM  http://community.mybboard.net/showthread.php?tid=6418
http://community.mybboard.net/attachment.php?aid=2181
(UNKNOWN)  CONFIRM  http://community.mybboard.net/attachment.php?aid=2181
http://xforce.iss.net/xforce/xfdb/24466
(UNKNOWN)  XF  mybb-search-xss(24466)
http://securityreason.com/securityalert/374
(UNKNOWN)  SREASON  374

- 漏洞信息

MyBB 跨站脚本攻击漏洞
中危 跨站脚本
2006-01-31 00:00:00 2006-10-05 00:00:00
远程  
        MyBulletinBoard (MyBB) 1.02的search.php中存在跨站脚本攻击漏洞,远程攻击者可以通过未在重定向中适当处理的(1) sortby和(2) sortordr参数注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本。

- 漏洞信息

22750
MyBulletinBoard (MyBB) search.php Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

MyBB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'sortby', 'sortordr' and 'keywords' variables upon submission to the search.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-01-25 Unknow
2006-01-25 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站